MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032001Open CASCADE[OCCT] OCCT:Visualizationpublic2020-12-16 11:082020-12-19 15:22
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032001: Visualization - moving dump of selection owner from sensitive to selection manager
DescriptionAccording to architecture, one owner often connects to several/a lot of sensitives. So, for saving time of dump, it's proposed to move this object dump into SelectMgr_Selection, despite of this field is stored in Select3D_SensitiveEntity.
Select3D_SensitiveEntity will just dump only pointer text for this field.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031313closedbugmaster Foundation Classes - Dump improvement for classes 

-  Notes
(0097637)
git (administrator)
2020-12-16 12:25

Branch CR32001 has been created by nds.

SHA-1: b2421d669f7c666da4d3e578b883039a9cb16ff2


Detailed log of new commits:

Author: nds
Date: Wed Dec 16 12:19:17 2020 +0300

    0032001: Visualization - moving dump of selection owner from sensitive to selection manager
(0097648)
git (administrator)
2020-12-16 17:55

Branch CR32001 has been updated forcibly by nds.

SHA-1: 4e8e9ee8f71ecffa2ee7315b5b525647483e80f6
(0097699)
nds (developer)
2020-12-18 11:06

Dear Kirill,

could you please review it.
Jenkins job is: http://jenkins-test-12.nnov.opencascade.com/view/CR32001-master-nds/view/COMPARE/ [^]

Best regards, Natalia
(0097755)
bugmaster (administrator)
2020-12-19 14:50

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097769)
git (administrator)
2020-12-19 15:22

Branch CR32001 has been deleted by inv.

SHA-1: 4e8e9ee8f71ecffa2ee7315b5b525647483e80f6

- Related Changesets
occt: master 983aaaeb
Timestamp: 2020-12-16 09:19:17
Author: nds
Committer: bugmaster
Details ] Diff ]
0032001: Visualization - moving dump of selection owner from sensitive to selection manager
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-16 11:08 nds New Issue
2020-12-16 11:08 nds Assigned To => nds
2020-12-16 12:25 git Note Added: 0097637
2020-12-16 17:55 git Note Added: 0097648
2020-12-18 11:06 nds Note Added: 0097699
2020-12-18 11:06 nds Assigned To nds => kgv
2020-12-18 11:06 nds Status new => resolved
2020-12-18 12:15 kgv Assigned To kgv => bugmaster
2020-12-18 12:15 kgv Status resolved => reviewed
2020-12-18 12:15 kgv Relationship added child of 0031313
2020-12-18 12:15 kgv Product Version => 7.5.0
2020-12-19 14:50 bugmaster Note Added: 0097755
2020-12-19 14:50 bugmaster Status reviewed => tested
2020-12-19 15:04 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 983aaaeb
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097769


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker